STRUCT DEBUG_OBJ(9)

NAME
struct_debug_obj - representaion of an tracked object

SYNOPSIS

struct debug_obj {
  struct hlist_node node;
  enum debug_obj_state state;
  unsigned int astate;
  void * object;
  struct debug_obj_descr * descr;
};

MEMBERS

node
    hlist node to link the object into the tracker list

state
    tracked object state

astate
    current active state

object
    pointer to the real object

descr
    pointer to an object type specific debug description structure

AUTHOR

Thomas Gleixner <tglx@linutronix.de>
    Author.

COPYRIGHT